POST
/backend/{appId}/api/{backendEnvironmentName}/remove
http://amplifybackend.{region}.amazonaws.com/backend/{appId}/api/{backendEnvironmentName}/removeDeletes an existing backend API resource.
Access Token Required: API Key
Path Parameters
appIdstringrequired
The app ID.
backendEnvironmentNamestringrequired
The name of the backend environment.
Body Params
resourceNamestringrequired
The name of this resource.
resourceConfigobject
The resource config for the data model, configured as a part of the Amplify project.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://amplifybackend.{region}.amazonaws.com/backend/{appId}/api/{backendEnvironmentName}/remove' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}